Subject: bug#5202: 23.1; Not all buffers showing in Buffers menu bar list

From: Juanma Barranquero <[email-masked]>
Date: Wed, 16 Dec 2009 15:45:03 +0100

On Sun, Dec 13, 2009 at 08:16, Bostjan Vilfan <[email-masked]> wrote:

> I am not sure I can describe all
> circumstances in which this occurs, but one is definitely reproducible:
>
> If I write on the terminal
>
> emacsclient --no-wait <file 1> <file 2>
>
> only <file 1> is visible in the Buffers list while <file 2> is listed only
> after pressing "List all buffers" (C-x C-b). I might add that the terminal
> command "emacsclient --no-wait <file 1> ; emacsclient --no-wait <file 2>"
> includes both files in the Buffers list.

A precise, step-by-step recipe would be useful. I've tried

  emacs -Q -f server-mode
  emacsclient --no-wait file1 file2

on a Windows build of 23.1, and the Buffers menu includes both files.

    Juanma